import prisma from "@/lib/prisma";
import { CodeLanguage, CodeTemplate } from "@prisma/client";

export default async function QuestionEditPage({
  params,
}: {
  params: Promise<{ id: string }>;
}) {
  const questionId = (await params).id;
  // 获取所有的 codeTemplate
  const codeTemplates = await prisma.codeTemplate.findMany({
    where: {
      questionId: questionId,
    },
  });

  // 使用对象映射来存储 CodeTemplate
  const codeLanguageMap = codeTemplates.reduce((map, codeTemplate) => {
    map[codeTemplate.language] = codeTemplate;
    return map;
  }, {} as Record<CodeLanguage, CodeTemplate>);

  console.log(codeLanguageMap);

  return (
    <div>
      <h1>Edit Question {questionId}</h1>
    </div>
  );
}
