import Link from "next/link";
import prisma from "@/lib/prisma";

export default async function HomePage() {
  const questions = await prisma.question.findMany();

  const renderedQuestions = questions.map((question) => {
    return (
      <Link
        key={question.id}
        href={`/questions/${question.id}`}
        className="flex justify-between items-center p-2 border rounded"
      >
        <div>{question.name}</div>
        <div>{question.difficulty}</div>
      </Link>
    );
  });

  return (
    <div className="flex justify-center">
      <div className="container max-w-2xl flex flex-col justify-center">
        <div className="flex m-2 justify-between items-center">
          <h1 className="text-xl font-bold">Questions</h1>
          <Link href="/questions/new" className="border p-2 rounded">
            New
          </Link>
        </div>
        <div className="flex flex-col gap-2">{renderedQuestions}</div>
      </div>
    </div>
  );
}
